
Foreman - Bug #32295

Puppet service by default disabled on fresh-deployed Debian/Ubuntu/SLES11-Servers

04/12/2021 01:27 PM - Nadja Heitmann

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases: 2.4.1, 2.5.0

Triaged: No Found in Releases: 2.3.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8440,

https://github.com/theforeman/foreman/p

ull/8505

  

Description

We deployed a SLES11, Debian9/10 or Ubuntu 16/18/20-Server with the new puppet agent (6.21) configured. By default, the puppet

agent is disabled.

(This does NOT occur for CentOS and SLES12+)

Associated revisions

Revision 4c47e3df - 04/20/2021 09:15 AM - Nadja Heitmann

Fixes #32295 - Fix Puppet service for Debian provisioning

This is a workaround for a Puppet bug where the provider is incorrect

and the service ends up not being enabled.

https://tickets.puppetlabs.com/browse/PUP-10963

History

#1 - 04/12/2021 07:23 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8440 added

#2 - 04/20/2021 09:15 AM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#3 - 04/20/2021 10:01 AM - Nadja Heitmann

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|4c47e3dfb88ac68c778d2089874df61eb46d7dc2.

#4 - 05/05/2021 12:04 PM - The Foreman Bot

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8505 added

#5 - 05/05/2021 02:49 PM - Tomer Brisker

- Fixed in Releases 2.4.1 added
